man(1)

NAME
eztrace - performance analysis tool

SYNOPSIS
eztrace [OPTION] COMMAND_LINE

DESCRIPTION
Run COMMAND_LINE and generate an execution trace.

OPTIONS

-t [plugin1 plugin2 ... pluginN]
    Select a list of plugins

-o DIRECTORY
    Select the output DIRECTORY

-l DIRECTORY
    Add DIRECTORY to the list of directories in which eztrace search for plugins

-f  Enable EZTRACE_FLUSH

-d  Debug mode

-?,  -h
    Display this help and exit

EXAMPLES
$ eztrace -t "memory pthread" ./my_program param1 param2

$ mpirun -np 2 eztrace -t "mpi pthread" ./my_program param1 param2

SEE ALSO
eztrace.preload(1), eztrace_cc(1), eztrace_avail(1)

REPORTING BUGS
Report eztrace bugs to https://gitlab.com/eztrace/eztrace
EZTrace home page: <https://eztrace.gitlab.io/eztrace>

AUTHOR
Francois Trahay (francois.trahay@telecom-sudparis.eu)